// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define CanSeeRadar 1
#define CanSeeEye 2
#define CanSeeOptics 4
#define CanSeeEar 8
#define CanSeeCompass 16 
#define CanSeeRadarC CanSeeRadar+CanSeeCompass
#define CanSeeAll 31

class CfgPatches
{
	class Bradley
	{
		units[] = {Bradley};
		requiredVersion = 1.30;
		requiredAddons[] = {"BISOFP"};
	};
}


class CfgAmmo
{
	class Default {};
	class BulletSingle : Default {};
	class ExplosiveBullet: BulletSingle {};
	class Cannon25HE: ExplosiveBullet
	{ // in fact this is 2 bullets burst
		// explosive bullets

		hit=30; indirectHit=15; indirectHitRange=3;

		minRange=20; minRangeProbab=0.80;
		midRange=500; midRangeProbab=0.95;
		maxRange=3000; maxRangeProbab=0.05;

		cost=200;

		soundHit[]={\m2a2\double_expl.wss,db30,1};
	};
	
};

class CfgWeapons
{
	class Default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncherM2A2 : AT3Launcher
	{	
		count=2;
		reloadTime=0.5;

		displayName = $STR_DN_TOW;
		displayNameMagazine = $STR_DN_TOW;
		shortNameMagazine = $STR_DN_TOW;

		cost = 20000;
	};

	class Cannon25HE : Default
	{
		scopeWeapon = public;
		scopeMagazine = public;
		
		shotFromTurret = true;
		autoFire = true;

		magazineReloadTime=1.5;

		displayName = $STR_DN_ADD_M2A2_25;
		displayNameMagazine = $STR_DN_ADD_M2A2_25;
		shortNameMagazine = $STR_DN_ADD_M2A2_25;

//		nameSound="shell";

		ammo=Cannon25HE;
		count=300;
		reloadTime=0.14;
		initSpeed=1000;

		sound[]={"\m2a2\cannon.wss",db10,1};
		// reloadSound[]={Weapons\reload,db-60,1};

		flashSize=1.1;
		maxLeadSpeed=450; // max estimated speed km/h
		optics = true;
		
		ffCount=1;
		multiplier =2;
	};
	
};

class WeaponCloudsGun {};
class WeaponCloudsMGun : WeaponCloudsGun {};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Tank: LandVehicle {};
	class APC: Tank {};
	class M113: APC {};
	class Bradley: M113
	{
		displayName=$STR_DN_M2A2;
		picture=\m2a2\im2a2.paa;
		model=\m2a2\m2a2;
		canFloat=false;
		armor=200;
		nameSound = apc;

		//irScanRange = 4000; // long range radar
		//irScanGround = false;  // NO IR on ground targets
		//gunnerCanSee = CanSeeOptics+CanSeeEar+CanSeeCompass+CanSeeRadar;

		weapons[]={Cannon25HE, MachineGun7_6, HellfireLauncherM2A2};
		magazines[]={Cannon25HE, MachineGun7_6, HellfireLauncherM2A2, HellfireLauncherM2A2, HellfireLauncherM2A2, HellfireLauncherM2A2};

		class GunClouds : WeaponCloudsMGun
		{
			
		};

		class Turret
		{
			gunAxis = "OsaHlavne";
			turretAxis = "OsaVeze";
			soundServo[]={Vehicles\gun_elevate,db-30,1.0};

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			
			body = "OtocVez";
			gun = "OtocHlaven";

			minElev=-4.5;
			maxElev=+74;
			minTurn=-360;
			maxTurn=+360;
		};

		//threat[] VSoft, VArmor, VAir 

		threat[]={0.5, 0.5, 1};
		
		gunnerOpticsModel = "optika_tank_gunner";
		//commanderOpticsModel = "optika_tanke_auxiliary";

		gunnerAction = ManActM2A2GunnerOut;
		gunnerInAction = ManActM2A2Gunner;
		driverAction = ManActM2A2Driver;
		driverInAction = ManActM2A2Driver;
		commanderAction = ManActM2A2CommanderOut;
		commanderInAction = ManActM2A2Commander;

		hasCommander=true;
		outGunnerMayFire = false;
		forceHideGunner = false;
		viewGunnerInExternal = false;
		commanderUsesPilotView = true;

		transportSoldier = 6;

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -270;
			min = 0;
			max = 37;
		};

	};
};

class CfgNonAIVehicles
{
	class ProxyCrew {};
	class ProxyDriver: ProxyCrew {};
	class ProxyCommander: ProxyCrew {};
	class ProxyGunner: ProxyCrew {};
	class ProxyM2A2Driver: ProxyDriver {};
	class ProxyM2A2Gunner: ProxyGunner {};
	class ProxyM2A2GunnerOutStat: ProxyGunner {};
	class ProxyM2A2Commander: ProxyCommander {};
	class ProxyM2A2CommanderOutStat: ProxyCommander {};
};

#define SPEED_STATIC 1e10

class CfgVehicleActions
{
	M2A2Driver = "M2A2Driver";
	M2A2Commander = "M2A2Commander";
	M2A2CommanderOut = "M2A2CommanderOut";
	M2A2Gunner = "M2A2Gunner";
	M2A2GunnerOut = "M2A2GunnerOut";
};

class CfgMovesMC
{
	class Default {};
	class DefaultDie: Default {};

	class States
	{
		class Driver: Default {};

		#define VEH_DIE_CONN(Name,anim,time) \
			class Name##Dying: DefaultDie \
			{ \
				actions = NoActions; \
				file=anim##smrt.rtm; \
				speed=-time; \
				looped=false; \
				soundEnabled=false; \
				connectFrom[]={Name,1}; \
			}; \
			class Name##Dead: Name##Dying \
			{ \
				actions = DeadActions; \
				file=anim##smrt2.rtm; \
				speed=SPEED_STATIC; \
				terminal = true; \
				connectFrom[]={Name##Dying,1}; \
				connectTo[]={DeadState,1}; \
			}
		#define VEHIN_MOVES_VAR(Name,anim,vartime) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
				variantsAI[]= {Name##V1,0.7,Name};\
				interpolateWith[]={Name##V1,0.5};\
				equivalentTo=Name; \
				interpolationSpeed=1; \
				connectTo[]={Name##Dying,1}; \
			} \
			class Name##V1: Name \
			{ \
				file=anim.rtm; \
				speed=-vartime; \
				looped=true; \
			}
		#define VEHIN_MOVES_VAR_NODEAD(Name,anim,vartime) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
				variantsAI[]= {Name##V1,0.7,Name};\
				interpolateWith[]={Name##V1,0.5};\
				equivalentTo=Name; \
				interpolationSpeed=1; \
			} \
			class Name##V1: Name \
			{ \
				file=anim.rtm; \
				speed=-vartime; \
				looped=true; \
			}
		#define VEH_MOVES_VAR(Name,anim,time,vartime) \
			VEHIN_MOVES_VAR(Name,anim,vartime); \
			VEH_DIE_CONN(Name,anim,time)

		VEHIN_MOVES_VAR_NODEAD(M2A2Driver, \m2a2\m2a2driver, 4);
		VEHIN_MOVES_VAR_NODEAD(M2A2Gunner, \m2a2\m2a2gunner, 4);
		VEH_MOVES_VAR(M2A2GunnerOut, \m2a2\m2a2gunnerout, 1, 4);
		VEHIN_MOVES_VAR_NODEAD(M2A2Commander, \m2a2\m2a2commander, 4);
		VEH_MOVES_VAR(M2A2CommanderOut, \m2a2\m2a2commanderout, 1, 4);
	};
};
