// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class Kolo
	{
		units[] = {Kolo};
		weapons[] = {};
		requiredVersion = 1.85;
		requiredAddons[] = {"BIS_Resistance","BISOFP"};
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Motorcycle: LandVehicle {};

	class Kolo: Motorcycle
	{
		access = ReadOnly;
		vehicleClass="Car";
		canFloat = false;
		isBicycle = true;

		hideWeaponsDriver = false;

		displayName=$STR_DN_KOLO_KOLO;
	
		scope=public;
		picture="\Kolo\ikolo";
		icon="\O\Vehl\moto.paa";
		maxSpeed=20;
		crew = Civilian5;
		side = TCivilian;

		nameSound="car";
		accuracy=0.50;

		model=\Kolo\Kolo;
		terrainCoef=6.0;

		soundEngine[]={"\Kolo\bc_chain",db-40,1};
		// soundGetIn[]={"\Kolo\get_in_kolo",db-10,1};
		// soundGetOut[]={"\Kolo\get_in_kolo",db-10,1};
		soundGear[]={"\Kolo\truck_gear_2",db-75,1};
		
		weapons[]={BikeHorn};
		magazines[]={};


		driverAction = ManActKoloDriver;
		transportSoldier = 0;
		transportAmmo = 0;


		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = 280;
			min = 0;
			max = 140 / 3.6;
		};

	};


};

class cfgWeapons
{

	class Default {};
	class CarHorn: Default {};
	class BikeHorn: CarHorn
	{
		//--
		drySound[]={"\kolo\bc_ring",db-20,1};
	};
	
};


class CfgNonAIVehicles
{
	class ProxyCrew {};
	class ProxyDriver: ProxyCrew {};
	class ProxyKoloDriver: ProxyDriver {};
};

#define SPEED_STATIC 1e10

class CfgVehicleActions
{
	koloDriver = "koloDriver";
};

class CfgMovesMC
{
	class Default {};
	class DefaultDie: Default {};

	class States
	{
		class Driver: Default {};
		
		class koloDriver: driver
		{
			file=\kolo\kolo.rtm;
			speed=2;
			looped=true;
		};
	};
};

class CfgModels
{
	class Default {};
	class Vehicle: Default {};
	class Car: Vehicle {};
	
	// ADDONS
	class kolo : Car {};
};
